# coding: utf-8

"""
    TileDB Storage Platform API

    TileDB Storage Platform REST API  # noqa: E501

    The version of the OpenAPI document: 2.2.19
    Generated by: https://openapi-generator.tech
"""


import pprint
import re  # noqa: F401

import six

from tiledb.cloud.rest_api.configuration import Configuration


class GroupListing(object):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    """
    Attributes:
      openapi_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    openapi_types = {
        "id": "str",
        "namespace": "str",
        "name": "str",
        "description": "str",
        "groups": "list[Group]",
        "assets": "list[ArrayInfo]",
        "pagination_metadata": "PaginationMetadata",
    }

    attribute_map = {
        "id": "id",
        "namespace": "namespace",
        "name": "name",
        "description": "description",
        "groups": "groups",
        "assets": "assets",
        "pagination_metadata": "pagination_metadata",
    }

    def __init__(
        self,
        id=None,
        namespace=None,
        name=None,
        description=None,
        groups=None,
        assets=None,
        pagination_metadata=None,
        local_vars_configuration=None,
    ):  # noqa: E501
        """GroupListing - a model defined in OpenAPI"""  # noqa: E501
        if local_vars_configuration is None:
            local_vars_configuration = Configuration()
        self.local_vars_configuration = local_vars_configuration

        self._id = None
        self._namespace = None
        self._name = None
        self._description = None
        self._groups = None
        self._assets = None
        self._pagination_metadata = None
        self.discriminator = None

        if id is not None:
            self.id = id
        if namespace is not None:
            self.namespace = namespace
        if name is not None:
            self.name = name
        if description is not None:
            self.description = description
        if groups is not None:
            self.groups = groups
        if assets is not None:
            self.assets = assets
        if pagination_metadata is not None:
            self.pagination_metadata = pagination_metadata

    @property
    def id(self):
        """Gets the id of this GroupListing.  # noqa: E501

        the globally unique id of the group  # noqa: E501

        :return: The id of this GroupListing.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this GroupListing.

        the globally unique id of the group  # noqa: E501

        :param id: The id of this GroupListing.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def namespace(self):
        """Gets the namespace of this GroupListing.  # noqa: E501

        The namespace of the group  # noqa: E501

        :return: The namespace of this GroupListing.  # noqa: E501
        :rtype: str
        """
        return self._namespace

    @namespace.setter
    def namespace(self, namespace):
        """Sets the namespace of this GroupListing.

        The namespace of the group  # noqa: E501

        :param namespace: The namespace of this GroupListing.  # noqa: E501
        :type: str
        """

        self._namespace = namespace

    @property
    def name(self):
        """Gets the name of this GroupListing.  # noqa: E501

        The name of the group. It is unique within the namespace. No 2 groups can have the same name  # noqa: E501

        :return: The name of this GroupListing.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this GroupListing.

        The name of the group. It is unique within the namespace. No 2 groups can have the same name  # noqa: E501

        :param name: The name of this GroupListing.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def description(self):
        """Gets the description of this GroupListing.  # noqa: E501

        A human readable description of the content of the group  # noqa: E501

        :return: The description of this GroupListing.  # noqa: E501
        :rtype: str
        """
        return self._description

    @description.setter
    def description(self, description):
        """Sets the description of this GroupListing.

        A human readable description of the content of the group  # noqa: E501

        :param description: The description of this GroupListing.  # noqa: E501
        :type: str
        """

        self._description = description

    @property
    def groups(self):
        """Gets the groups of this GroupListing.  # noqa: E501

        Contains one page of subgroups of the group.  # noqa: E501

        :return: The groups of this GroupListing.  # noqa: E501
        :rtype: list[Group]
        """
        return self._groups

    @groups.setter
    def groups(self, groups):
        """Sets the groups of this GroupListing.

        Contains one page of subgroups of the group.  # noqa: E501

        :param groups: The groups of this GroupListing.  # noqa: E501
        :type: list[Group]
        """

        self._groups = groups

    @property
    def assets(self):
        """Gets the assets of this GroupListing.  # noqa: E501

        Contains one page of assets of the group as ArrayInfos  # noqa: E501

        :return: The assets of this GroupListing.  # noqa: E501
        :rtype: list[ArrayInfo]
        """
        return self._assets

    @assets.setter
    def assets(self, assets):
        """Sets the assets of this GroupListing.

        Contains one page of assets of the group as ArrayInfos  # noqa: E501

        :param assets: The assets of this GroupListing.  # noqa: E501
        :type: list[ArrayInfo]
        """

        self._assets = assets

    @property
    def pagination_metadata(self):
        """Gets the pagination_metadata of this GroupListing.  # noqa: E501


        :return: The pagination_metadata of this GroupListing.  # noqa: E501
        :rtype: PaginationMetadata
        """
        return self._pagination_metadata

    @pagination_metadata.setter
    def pagination_metadata(self, pagination_metadata):
        """Sets the pagination_metadata of this GroupListing.


        :param pagination_metadata: The pagination_metadata of this GroupListing.  # noqa: E501
        :type: PaginationMetadata
        """

        self._pagination_metadata = pagination_metadata

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.openapi_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(
                    map(lambda x: x.to_dict() if hasattr(x, "to_dict") else x, value)
                )
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(
                    map(
                        lambda item: (item[0], item[1].to_dict())
                        if hasattr(item[1], "to_dict")
                        else item,
                        value.items(),
                    )
                )
            else:
                result[attr] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, GroupListing):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, GroupListing):
            return True

        return self.to_dict() != other.to_dict()
